UMBRELLO(1)

NAME
umbrello - a UML modelling tool and code generator

SYNOPSIS
umbrello [ generic-options ] [ file ]

DESCRIPTION
Umbrello UML Modeller is a Unified Modelling Language editor for TDE. With UML you can create diagrams of software and other systems in an industry standard format. Umbrello can also generate code from your UML diagrams in a number of programming languages.

The program supports class diagrams, sequence diagrams, collaboration diagrams, use case diagrams, state diagrams, activity diagrams, component diagrams and deployment diagrams.

This application is part of the TDE Software Development Kit.

OPTIONS
For a full summary of options, run umbrello --help.

SEE ALSO
Full user documentation is available through the TDE Help Centre. You can also enter the URL help:/umbrello/ directly into konqueror or you can run `khelpcenter help:/umbrello/' from the command-line.

If the TDE Help Centre is not installed then you can install the package tdesdk-doc-html and read this documentation in HTML format from /usr/share/doc/tde/HTML/en/umbrello/.

AUTHOR
Umbrello was written by Paul Hensgen <phensgen@users.sourceforge.net> and many others.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).